package x36dsv.soap;

import java.rmi.RemoteException;

public class SimpleServiceTest {
	// stub was generated with (on Windows XP):
	//  ...\axis2-1.6.1\bin>WSDL2Java.bat -uri http://localhost:8080/axis2/services/simpleService?wsdl -o client
	public static void main(String[] args) throws RemoteException {
		// create stub
		SimpleServiceStub stub = new SimpleServiceStub();
		// create request
		SimpleServiceStub.RepeatMessage request = new SimpleServiceStub.RepeatMessage();
		request.setMessage("All your base are belong to us");
		System.out.println("Service input: 'All your base are belong to us'");
		SimpleServiceStub.RepeatMessageResponse response = 
			stub.repeatMessage(request);
		System.out.println("Service response: '" + response.get_return() + "'");
	}
}
